#include<iostream.h>

void main(void)
{
	int j,t,RWer;
	double RV;
	
	srand((unsigned int)time(NULL));
	
	RWer=0;//ランダムウォーカーの初期位置（頂点番号）
	
	//100回移動させる
	for(t=0;t<100;t++)
	{
		RV=(double)rand()/(double)(RAND_MAX+1);
		
		//ランダムウォーカーの移動
		for(j=0;j<20;j++)
		{
			if((double)j/20<=RV && RV<(double)(j+1)/20)
			{
				RWer=j;
			}
		}
	}
	
	printf("100回移動した後のランダムウォーカーの位置=%d",RWer);
}